aboutsummaryrefslogtreecommitdiffstats
path: root/testing/zenity/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-22 23:13:51 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-22 23:13:51 -0600
commit762178ae3fc46fb1004d231da2a15dd441ce7f90 (patch)
treed554ce800ff6ecebe0d5af68955fce7046f543b7 /testing/zenity/APKBUILD
parent0b43c4ef2f83bbc55db06656055e766488c4a93b (diff)
downloadaports-762178ae3fc46fb1004d231da2a15dd441ce7f90.tar.gz
aports-762178ae3fc46fb1004d231da2a15dd441ce7f90.tar.bz2
aports-762178ae3fc46fb1004d231da2a15dd441ce7f90.tar.xz
testing/zenity: new aport
Diffstat (limited to 'testing/zenity/APKBUILD')
-rw-r--r--testing/zenity/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/zenity/APKBUILD b/testing/zenity/APKBUILD
new file mode 100644
index 0000000000..e0a8aac16b
--- /dev/null
+++ b/testing/zenity/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=zenity
+pkgver=2.32.1
+pkgrel=0
+pkgdesc="GTK+-based xdialog replacement"
+url="http://www.gnome.org/"
+arch="all"
+license="GPL"
+depends=
+makedepends="gtk+-dev intltool gnome-doc-utils libnotify-dev"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://ftp.gnome.org/pub/GNOME/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+doc() {
+ mkdir -p ${subpkgdir}/usr/share/gnome
+ mv ${pkgdir}/usr/share/gnome/help ${subpkgdir}/usr/share/gnome
+
+ return 0
+}
+
+md5sums="aa66ec35451b16e424519b4973082170 zenity-2.32.1.tar.bz2"